
<?php
    include("conexion.php");

    // si se está enviando por POST el numero del diente
    // significa que intentamos acceder desde jQuery
    if(isset($_POST['numDiente'])) {
        $ciudades = array();
        $sql = "SELECT caraDiente
                FROM SIO_DIENTES 
                WHERE numDiente = ".$_POST['numDiente']; 

        //$db = obtenerConexion();
        // obtenemos todas las ciudades
        //$result = ejecutarQuery($db, $sql);

        $result = mysql_query($sql) or die('Carga de cras de diente fallida: ' . mysql_error());

        
        // creamos objetos de la clase caras y los agregamos al arreglo
        while($row = $result->fetch_assoc()){
            $row['caraDiente'] = mb_convert_encoding($row['caraDiente']);
            $cara = new ciudad($row['idciudad'], $row['nombre']);
            array_push($caras, $cara);
        }

        //cerrarConexion($db, $result);
        // Cerrar la conexion
        mysql_close($link); 

        // devolvemos el arreglo de ciudades, en formato JSON
        echo json_encode($caras);
    }

    class ciudad {
        public $caraDiente;
        //public $nombre;

        //function __construct($id, $nombre) {
        function __construct($caraDiente) {
            $this->caraDiente = $caraDiente;
            //$this->nombre = $nombre;
        }
    }
?>